#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 29. Introduction to KDE

- Prev

  Extra-CMake-Modules-6.23.0

- Next

  Phonon-backend-vlc-0.12.0

- Up
- Home

# Phonon-4.12.0

## Introduction to Phonon

Phonon is the multimedia API for KDE. It replaces the old aRts package. Phonon needs the VLC backend.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.kde.org/stable/phonon/4.12.0/phonon-4.12.0.tar.xz

- Download MD5 sum: e80e9c73967080016bdb3c0ee514ceab

- Download size: 400 KB

- Estimated disk space required: 23 MB

- Estimated build time: 0.2 SBU (Using parallelism=4)

### Phonon Dependencies

#### Required

CMake-4.3.2, Extra-CMake-Modules-6.23.0, GLib-2.88.0, and Qt-6.11.0

#### Required at runtime

phonon-backend-vlc-0.12.0 needs to be installed afterwards for multimedia operations in KDE to work correctly.

#### Optional

PulseAudio-17.0

## Installation of Phonon

Install Phonon by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D CMAKE_BUILD_TYPE=Release  \
          -D PHONON_BUILD_QT5=OFF      \
          -W no-dev .. &&
    make

Now, as the `root` user:

    make install

## Command Explanations

`-D CMAKE_BUILD_TYPE=Release`: This switch is used to apply higher level of the compiler optimizations.

`-D PHONON_BUILD_QT5=OFF`: This switch is needed to prevent building the Qt5 bindings, which fails if Qt5 is not installed.

## Contents

Installed Programs: phononsettings
Installed Libraries: libphonon4qt6.so and libphonon4qt6experimental.so
Installed Directories: /usr/include/phonon4qt6, /usr/lib/cmake/phonon4qt6, and /usr/lib/plugins/designer

### Short Descriptions

phononsettings | provides a graphical interface to set the default audio device for several different types of playback, including for communications, games, and more
`libphonon4qt6.so` | contains functions that provide the multimedia API used by KDE
`libphonon4qt6experimental.so` | contains several experimental functions for use with KDE

- Prev

  Extra-CMake-Modules-6.23.0

- Next

  Phonon-backend-vlc-0.12.0

- Up
- Home